const { nextui } = require('@nextui-org/react');

import type { Config } from 'tailwindcss';

const config: Config = {
  content: [
    './pages/**/*.{js,ts,jsx,tsx,mdx}',
    './components/**/*.{js,ts,jsx,tsx,mdx}',
    './app/**/*.{js,ts,jsx,tsx,mdx}',
    './node_modules/@nextui-org/theme/dist/**/*.{js,ts,jsx,tsx}'
  ],
  theme: {
    extend: {
      colors: {
        primary: {
          '50': '#fdf2f7',
          '100': '#fde6f0',
          '200': '#fccee3',
          '300': '#fba6ca',
          '400': '#f86ea6',
          '500': '#f14385',
          '600': '#d31d59',
          '700': '#c31348',
          '800': '#a1133c',
          '900': '#861535',
          foreground: '#ffffff',
          DEFAULT: '#d31d59'
        },
        secondary: {
          '50': '#f1f8fe',
          '100': '#e2effc',
          '200': '#bfdef8',
          '300': '#86c4f3',
          '400': '#46a6ea',
          '500': '#1d87d3',
          '600': '#106db9',
          '700': '#0e5796',
          '800': '#104a7c',
          '900': '#133f67',
          '950': '#0d2844',
          foreground: '#ffffff',
          DEFAULT: '#1d87d3'
        },
        light: '#f4f4f4',
        dark: '#222222'
      }
    }
  },
  darkMode: 'class',
  plugins: [nextui()]
};
export default config;
